import { Listener } from '../types';
declare class Observer<T = Record<string, any>> {
    #private;
    constructor(initialValues?: T);
    subscribe<K extends keyof T>(key: K | K[], listener: Listener): () => void;
    set<StateType>(object: Partial<StateType | T>, { silent }?: {
        silent?: boolean;
    }): void;
    get<K extends keyof T>(key: K | Array<K>): any;
    isValid(key: string): boolean;
}
declare const observer: Observer<Record<string, any>>;
export { Observer, observer };
