export declare type Listener = (value: any) => void;
export declare type CacheData = {
    setter?: string;
    getter?: string;
    value?: any;
    listeners?: Set<Listener>;
};
export declare type Setter<T> = T | ((prev: T) => T);
export declare type WithSetters<T> = T extends object ? {
    [K in keyof T as `set${Capitalize<string & K>}`]: (value: Setter<T[K]>) => void;
} & T : T;
